Bug 504770 - Please upgrade wpa_supplicant to 0.6.9 or newer
Please upgrade wpa_supplicant to 0.6.9 or newer
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 06:12 EDT by Vedran Miletić
Modified: 2009-08-26 08:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 08:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vedran Miletić 2009-06-09 06:12:31 EDT
Description of problem:
Current wpa_supplicant 0.6.8 in Fedora 10/11 (and probably Fedora 9 as well) doesn't work well with newer kernels and wireless drivers. To be precise:
[root@earthmover ~]# wpa_supplicant -D wext -i wlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf 
Trying to associate with 00:21:91:e5:aa:df (SSID='eduroam' freq=2462 MHz)
Associated with 00:21:91:e5:aa:df
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
ioctl[SIOCSIWENCODEEXT]: No such file or directory
Trying to associate with 00:21:91:e5:aa:df (SSID='eduroam' freq=2462 MHz)
Associated with 00:21:91:e5:aa:df
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
ioctl[SIOCSIWENCODEEXT]: No such file or directory

Version-Release number of selected component (if applicable):
0.6.8

How reproducible:
Every time.

Additional info:
I'm pretty sure this will also nail lots of other bugs people reported. wpa_supplicant 0.6.9 works just fine out of the box with default config and authenticates nicely:
[root@earthmover ~]# /home/vedran/wpa_supplicant-0.6.9/wpa_supplicant/wpa_supplicant -D wext -i wlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf 
CTRL-EVENT-SCAN-RESULTS 
Trying to associate with 00:21:91:e5:aa:df (SSID='eduroam' freq=2462 MHz)
Associated with 00:21:91:e5:aa:df
CTRL-EVENT-EAP-STARTED EAP authentication started
CTRL-EVENT-EAP-METHOD EAP vendor 0 method 21 (TTLS) selected
OpenSSL: tls_connection_handshake - Failed to read possible Application Data error:00000000:lib(0):func(0):reason(0)
CTRL-EVENT-EAP-SUCCESS EAP authentication completed successfully
WPA: Key negotiation completed with 00:21:91:e5:aa:df [PTK=TKIP GTK=TKIP]
CTRL-EVENT-CONNECTED - Connection to 00:21:91:e5:aa:df completed (auth) [id=0 id_str=]
WPA: Group rekeying completed with 00:21:91:e5:aa:df [GTK=TKIP]
Associated with 00:21:91:e5:aa:df
Authentication with 00:21:91:e5:aa:df timed out.
ioctl[SIOCSIWENCODEEXT]: No such file or directory
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
ioctl[SIOCSIWENCODEEXT]: No such file or directory
CTRL-EVENT-SCAN-RESULTS 
Trying to associate with 00:21:91:e5:aa:df (SSID='eduroam' freq=2462 MHz)
Associated with 00:21:91:e5:aa:df
CTRL-EVENT-EAP-STARTED EAP authentication started
CTRL-EVENT-EAP-METHOD EAP vendor 0 method 21 (TTLS) selected
OpenSSL: tls_connection_handshake - Failed to read possible Application Data error:00000000:lib(0):func(0):reason(0)
CTRL-EVENT-EAP-SUCCESS EAP authentication completed successfully
WPA: Key negotiation completed with 00:21:91:e5:aa:df [PTK=TKIP GTK=TKIP]
CTRL-EVENT-CONNECTED - Connection to 00:21:91:e5:aa:df completed (reauth) [id=0 id_str=]
Comment 1 Sebastian Krämer 2009-07-16 06:59:19 EDT
Here's the Changelog to 0.6.9: http://w1.fi/gitweb/gitweb.cgi?p=hostap-06.git;a=blob_plain;f=wpa_supplicant/ChangeLog

I don't know if that explains why that version does work better for you. I'm merely posting to point out that 0.6.9 is considered a stable release -- just bumping the version should be possible.
Comment 2 Vedran Miletić 2009-08-26 08:35:37 EDT
This is not a problem with wpa_supplicant, but with NetworkManager taking control of device, so wpa_supplicant can't find it. With NetworkManager disabled, it works just fine.

Closing.

Note You need to log in before you can comment on or make changes to this bug.